event_buffer_timeout_set
event_buffer_write
Libevent Functions
PHP Manual

# event_buffer_watermark_set

(PECL libevent >= 0.0.1)

event_buffer_watermark_set — Set the watermarks for read and write events

### Description

void event_buffer_watermark_set ( resource `$bevent` , int `$events` , int `$lowmark` , int `$highmark` )

Sets the watermarks for read and write events. Libevent does not invoke read callback unless there is at least `lowmark` bytes in the input buffer; if the read buffer is beyond the `highmark`, reading is stopped. On output, the write callback is invoked whenever the buffered data falls below the `lowmark`.

### Parameters

`bevent`

  Valid buffered event resource.

`events`

  Any combination of `EV_READ` and `EV_WRITE`.

`lowmark`

  Low watermark.

`highmark`

  High watermark.

event_buffer_timeout_set
event_buffer_write
Libevent Functions
PHP Manual